Subject: Re: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibufferfocuswhenitcalls`list-processes'

From: martin rudalics <[email-masked]>
Date: Thu, 09 Aug 2012 10:45:19 +0200

> FWIW, even without loading your code, with my setup, (window-parameters) always
 > returns nil.  I will need to dig further to find out why.
 >
 > Perhaps you can help by telling me what vanilla Emacs code normally changes
 > things so that the value returned is non-nil.

`display-buffer-record-window'

 > IOW, what parts of the Emacs code
 > should be setting this up correctly?  That might help me narrow things down to
 > find what code I have that is counteracting that correct setup.

The doc-string of `special-display-function' tells what should be done.
The code of `special-display-popup-frame' shows how this can be done.

 > I note that in Emacs 23 also (windows-parameters) returns nil for me.  (And the
 > function apparently does not exist in Emacs 22.)

`display-buffer-record-window' has been introduced in Emacs 24.1.

martin